ExportControllerGetQueuedExports Method |
POST /Export/Queued
Gets the pending exports which are waiting in the export queue for the specified session.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Queued")]
public IActionResult GetQueuedExports(
[FromBodyAttribute] GetQueuedExportsOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Queued")>
Public Function GetQueuedExports (
<FromBodyAttribute> options As GetQueuedExportsOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Queued")]
IActionResult^ GetQueuedExports(
[FromBodyAttribute] GetQueuedExportsOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Queued")>]
member GetQueuedExports :
[<FromBodyAttribute>] options : GetQueuedExportsOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsGetQueuedExportsOptions
The options to use to retrieve the pending exports of. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of the session.
Return Value
Type:
IActionResult
An array of
ExportRequestOptions containing the export request data, or a status code indicating the problem.
See Also